#-------------------------------------------------
#  Copyright 2022 ESRI
#
#  All rights reserved under the copyright laws of the United States
#  and applicable international laws, treaties, and conventions.
#
#  You may freely redistribute and use this sample code, with or
#  without modification, provided you include the original copyright
#  notice and use restrictions.
#
#  See the Sample code usage restrictions document for further information.
#-------------------------------------------------
# // @@Start(opengl)
TEMPLATE = app

CONFIG += c++17

# additional modules are pulled in via arcgisruntime.pri
QT += qml quick

TARGET = Display_a_map

lessThan(QT_MAJOR_VERSION, 6) {
    error("$$TARGET requires Qt 6.5.1")
}
# // @@Start(include_toolkit)
equals(QT_MAJOR_VERSION, 6) {
    lessThan(QT_MINOR_VERSION, 2) {
        error("$$TARGET requires Qt 6.5.1")
    }
	equals(QT_MINOR_VERSION, 2) : lessThan(QT_PATCH_VERSION, 4) {
		error("$$TARGET requires Qt 6.5.1")
	}
}
# // @@Start(webengine_toolkit)
ARCGIS_RUNTIME_VERSION = 200.4.0
include($$PWD/arcgisruntime.pri)
# // @@Start(add_webengine_toolkit)
include(<path_to_toolkit_repo>/uitools/toolkitcpp.pri) # example: C:/arcgis-maps-sdk-toolkit-qt/uitools/toolkitcpp.pri

qtHaveModule(webenginequick) {
  QT += webenginequick
}
# // @@End(webengine_toolkit, add_webengine_toolkit)
HEADERS += \
    Display_a_map.h

SOURCES += \
    main.cpp \
    Display_a_map.cpp

RESOURCES += \
    qml/qml.qrc \
    Resources/Resources.qrc

#-------------------------------------------------------------------------------

win32 {
    include (Win/Win.pri)
}

macx {
    include (Mac/Mac.pri)
}

ios {
    include (iOS/iOS.pri)
}

android {
    include (Android/Android.pri)
}
